View Issue Details

IDProjectCategoryView StatusLast Update
0020042mantisbtemailpublic2015-09-06 17:37
ReporterbadfilesAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0020042: Wrong character counting in localized e-mails
Description

str_pad () counts utf-8 characters as 2, but the application design demands counting as 1.

TagsNo tags attached.

Activities

atrol

atrol

2015-08-19 02:46

developer   ~0051292

Are you talking about this single line of code in function email_format_bug_message where str_pad should be replaced by utf8_str_pad?

$t_message .= $t_email_separator1 . "\n" . str_pad( lang_get( 'bug_relationships' ), 20 ) . str_pad( lang_get( 'id' ), 8 ) . lang_get( 'summary' ) . "\n" . $t_email_separator2 . "\n" . $p_visible_bug_data['relations'];

badfiles

badfiles

2015-08-19 03:15

reporter   ~0051293

Well, yes.

Related Changesets

MantisBT: master 8685c3c1

2015-08-23 15:19:35

atrol

Details Diff
Replace remaining calls of str_pad by utf8_str_pad

Fixes 0020042
mod - core/email_api.php Diff File

Issue History

Date Modified Username Field Change
2015-08-18 19:18 badfiles New Issue
2015-08-19 02:46 atrol Status new => feedback
2015-08-19 02:46 atrol Note Added: 0051292
2015-08-19 03:15 badfiles Note Added: 0051293
2015-08-19 03:15 badfiles Status feedback => new
2015-08-23 15:21 atrol Changeset attached => MantisBT master 8685c3c1
2015-08-23 15:21 atrol Assigned To => atrol
2015-08-23 15:21 atrol Status new => resolved
2015-08-23 15:21 atrol Resolution open => fixed
2015-08-23 15:21 atrol Fixed in Version => 1.3.0-beta.3
2015-08-23 15:21 atrol Target Version => 1.3.0-beta.3
2015-09-06 17:37 vboctoradmin Status resolved => closed